Loading...
Searching...
No Matches
pdftron::PDF::DiffOptions Class Reference

`#include <DiffOptions.h>`

## Public Member Functions
| DiffOptions ()
| ~DiffOptions ()
bool | GetAddGroupAnnots ()
DiffOptions & | SetAddGroupAnnots (bool value)
GState::BlendMode | GetBlendMode ()
DiffOptions & | SetBlendMode (GState::BlendMode value)
ColorPt | GetColorA ()
DiffOptions & | SetColorA (ColorPt value)
ColorPt | GetColorB ()
DiffOptions & | SetColorB (ColorPt value)

## Detailed Description

Definition at line 10 of file DiffOptions.h.

## Constructor & Destructor Documentation

## ◆ DiffOptions()

pdftron::PDF::DiffOptions::DiffOptions | ( |  | ) |

## ◆ ~DiffOptions()

pdftron::PDF::DiffOptions::~DiffOptions | ( |  | ) |

## Member Function Documentation

## ◆ GetAddGroupAnnots()

bool pdftron::PDF::DiffOptions::GetAddGroupAnnots | ( |  | ) |

Gets the value AddGroupAnnots from the options object Whether we should add an annot layer indicating the difference regions

Returns
  a bool, the current value for AddGroupAnnots.

## ◆ GetBlendMode()

GState::BlendMode pdftron::PDF::DiffOptions::GetBlendMode | ( |  | ) |

Gets the value BlendMode from the options object How the two colors should be blended.

Returns
  a GState::BlendMode, the current value for BlendMode.

## ◆ GetColorA()

ColorPt pdftron::PDF::DiffOptions::GetColorA | ( |  | ) |

Gets the value ColorA from the options object The difference color for the first page.

Returns
  a ColorPt, the current value for ColorA.

## ◆ GetColorB()

ColorPt pdftron::PDF::DiffOptions::GetColorB | ( |  | ) |

Gets the value ColorB from the options object The difference color for the second page

Returns
  a ColorPt, the current value for ColorB.

## ◆ SetAddGroupAnnots()

DiffOptions & pdftron::PDF::DiffOptions::SetAddGroupAnnots | ( | bool | value | ) |

Sets the value for AddGroupAnnots in the options object Whether we should add an annot layer indicating the difference regions

Parameters

  value | the new value for AddGroupAnnots

Returns
  this object, for call chaining

## ◆ SetBlendMode()

DiffOptions & pdftron::PDF::DiffOptions::SetBlendMode | ( | GState::BlendMode | value | ) |

Sets the value for BlendMode in the options object How the two colors should be blended.

Parameters

  value | the new value for BlendMode

Returns
  this object, for call chaining

## ◆ SetColorA()

DiffOptions & pdftron::PDF::DiffOptions::SetColorA | ( | ColorPt | value | ) |

Sets the value for ColorA in the options object The difference color for the first page.

Parameters

  value | the new value for ColorA

Returns
  this object, for call chaining

## ◆ SetColorB()

DiffOptions & pdftron::PDF::DiffOptions::SetColorB | ( | ColorPt | value | ) |

Sets the value for ColorB in the options object The difference color for the second page

Parameters

  value | the new value for ColorB

Returns
  this object, for call chaining

The documentation for this class was generated from the following file:

- PDF/DiffOptions.h